## bash8 0.1.1

=== requirements.txt ===
pbr>=0.5.21,<1.0
argparse
Babel>=0.9.6

=== debian/changelog ===
bash8 (0.1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #748383)

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 May 2014 02:04:04 +0800

=== debian/control ===
Source: bash8
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.5.21),
               python-setuptools,
               python-sphinx,
               python3-all (>= 3.2),
               python3-pbr (>= 0.5.21),
               python3-setuptools
Build-Depends-Indep: python-babel,
                     python-coverage (>= 3.6),
                     python-fixtures (>= 0.3.14),
                     python-hacking,
                     python-oslosphinx,
                     python-subunit,
                     python-testscenarios (>=0.4),
                     python-testtools (>= 0.9.32),
                     subunit,
                     testrepository (>= 0.0.17)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/bash8.git
Vcs-Git: git://anonscm.debian.org/openstack/bash8.git
Homepage: https://github.com/openstack-dev/bash8

Package: python-bash8
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-babel,
         python-pbr (>= 0.5.21),
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends}
Description: bash script style guide checker - Python 2.x
 This program attempts to be an automated style checker for bash scripts to
 fill the same part of code review that pep8 does in most OpenStack projects.
 It started from humble beginnings in the DevStack project, and will continue
 to evolve over time.
 .
 This package contains the Python 2.x module and command line utility.

Package: python3-bash8
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python3-babel,
         python3-pbr (>= 0.5.21),
         ${misc:Depends},
         ${python3:Depends}
Description: bash script style guide checker - Python 3.x
 This program attempts to be an automated style checker for bash scripts to
 fill the same part of code review that pep8 does in most OpenStack projects.
 It started from humble beginnings in the DevStack project, and will continue
 to evolve over time.
 .
 This package contains the Python 3.x module and command line utility.

Package: python-bash8-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: bash script style guide checker - doc
 This program attempts to be an automated style checker for bash scripts to
 fill the same part of code review that pep8 does in most OpenStack projects.
 It started from humble beginnings in the DevStack project, and will continue
 to evolve over time.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack-dev/bash8.git
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-bash8; \
	done
	mv $(CURDIR)/debian/python-bash8/usr/bin/bash8 $(CURDIR)/debian/python-bash8/usr/bin/python2-bash8
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-bash8; \
	done
	mv $(CURDIR)/debian/python3-bash8/usr/bin/bash8 $(CURDIR)/debian/python3-bash8/usr/bin/python3-bash8

override_dh_clean:
	rm -rf .testrepository

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	rm -rf .testrepository
	testr init
	set -e && \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) testr run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ;
	testr slowest
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-bash8-doc/usr/share/doc/python-bash8-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

=== debian/watch ===
version=3
https://github.com/openstack-dev/bash8/tags .*/(\d[\d\.]+)\.tar\.gz
